## xvidcore-1.0.0-beta3.tar.bz2

=== vfw/bin/Makefile ===
##############################################################################
#
# Makefile for XviD VFW driver
#
# Author : ??? <cutka at szm.sk>
# Modified by : Edouard Gomez <ed.gomez at free.fr>
#               Peter Ross <pross@xvid.org>
#
# Requires GNU Make because of shell expansion performed at a bad time with
# other make programs (even using := variable assignments)
#
# $Id$
##############################################################################

include sources.inc

MAKEFILE_PWD:=$(shell pwd)
LOCAL_XVID_SRCTREE:=$(MAKEFILE_PWD)/../../src
LOCAL_XVID_BUILDTREE:=$(MAKEFILE_PWD)/../../build/generic/=build

RM = rm -rf
WINDRES=windres

# Constants which should not be modified
# The `mingw-runtime` package is required when building with -mno-cygwin
CFLAGS += -I$(SRC_DIR)/w32api -I$(LOCAL_XVID_SRCTREE)
CFLAGS += -D_WIN32_IE=0x0500
CFLAGS += -mno-cygwin

##############################################################################
# Optional Compiler options
##############################################################################

CFLAGS += -Wall
CFLAGS += -O1
CFLAGS += -fstrength-reduce
CFLAGS += -finline-functions
CFLAGS += -fgcse
CFLAGS += -freduce-all-givs
CFLAGS += -ffast-math

##############################################################################
# Rules
##############################################################################

OBJECTS = $(SRC_C:.c=.obj)
OBJECTS+= $(SRC_RES:.rc=.obj)

.SUFFIXES: .obj .rc .c

BUILD_DIR = =build
VPATH     = $(SRC_DIR):$(BUILD_DIR)

all: $(LIBSO)

$(BUILD_DIR):
	@echo "  D: $(BUILD_DIR)"
	@mkdir -p $(BUILD_DIR)

.rc.obj:
	@echo "  W: $(@D)/$(<F)"
	@mkdir -p $(BUILD_DIR)/$(@D)
	@$(WINDRES) \
		--include-dir=$(SRC_DIR) \
		--input-format=rc \
		--output-format=coff \
		-o $(BUILD_DIR)/$@ $<

.c.obj:
	@echo "  C: $(@D)/$(<F)"
	@mkdir -p $(BUILD_DIR)/$(@D)
	@$(CC) $(CFLAGS) -c -o $(BUILD_DIR)/$@ $<

$(LIBSO): $(BUILD_DIR) $(OBJECTS)
	@echo "  L: $(@F)"
	@cp $(SRC_DIR)/driverproc.def $(BUILD_DIR)/driverproc.def
	@cd $(BUILD_DIR) && \
		$(CC) -mno-cygwin -shared -Wl,-dll,--out-implib,$@.a,--enable-stdcall-fixup \
			-o $@ \
			$(OBJECTS) driverproc.def $(LOCAL_XVID_BUILDTREE)/libxvidcore.a \
			-lgdi32 -lwinmm -lcomdlg32 -lcomctl32

clean:
	@echo "  Cl: Object files and target lib"
	@$(RM) $(BUILD_DIR)

install:
	@echo "  I: xvid.dll"
	@cp $(BUILD_DIR)/$(LIBSO) $(LIBSO)
	@rundll32.exe setupapi,InstallHinfSection DefaultInstall 132 ./xvid.inf
	@rm $(LIBSO)

uninstall:
	@rundll32.exe setupapi,InstallHinfSection Remove_XviD 132 ./xvid.inf

=== debian/changelog ===
xvidcore (1.0-0cvs) unstable; urgency=low

  * Initial Release.
  * First attempt to package XviD.

 -- Edouard Gomez <ed.gomez@free.fr>  Sun,  4 May 2003 20:55:37 +0200

=== debian/control ===
Source: xvidcore
Section: libs
Priority: optional
Maintainer: Edouard Gomez <ed.gomez@free.fr>
Build-Depends: debhelper (>> 4.0.0), nasm (>= 0.98.34) [i386]
Standards-Version: 3.5.8

Package: libxvidcore4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: High quality ISO MPEG4 codec library
 XviD is a high quality/performance ISO MPEG4 codec. This package contains
 the runtime core library that can be used by various programs (among them
 mplayer/mencoder, transcode)

Package: libxvidcore4-dev
Section: libdevel
Architecture: any
Depends: libxvidcore4 (= ${Source-Version})
Provides: libxvidcore-dev
Conflicts: libxvidcore-dev, libxvidcore2-dev, libxvidcore3-dev
Description: Development files for the XviD ISO MPEG4 codec
 This package includes header files and static library needed for development
 based on XviD core.
